Create a new click profile
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/clickprofiles
Path Parameters
- clientIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Form Parameters
- rulePatternstringDescription
- namestringrequiredDescription
- descriptionstringDescription
- ruleTypestring<REGEXP | WILDCARDS | NONE>DescriptionDefaultNONEAllowedREGEXPWILDCARDSNONE
Responses
201
- RestClickProfile
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- descriptionstringDescription
- rulePatternstringDescription
- ruleTypestringDescription
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
400
curl
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/clickprofiles \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string' \
--data 'ruleType=NONE'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/x-www-form-urlencoded");
var urlencoded = new URLSearchParams();
urlencoded.append("name", "string");
urlencoded.append("ruleType", "NONE");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: urlencoded,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/clickprofiles", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/clickprofiles")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/x-www-form-urlencoded"
request.body = "name=string&ruleType=NONE"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.campaign.episerver.net/rest/{clientId}/clickprofiles"
payload = 'name=string&ruleType=NONE'
headers = {
'accept': 'application/json',
'content-type': 'application/x-www-form-urlencoded'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// The click profile was created successfully.
{
"id": "",
"name": "",
"description": "",
"rulePattern": "",
"ruleType": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}400
// The request parameters are invalid.